import gql from 'graphql-tag'

export * from './tracking-workspace'
export * from './tracking-workspace-list'
export * from './tracking-workspace-status-input'

export const TrackingWorkspaceResolver = gql`
  extend type Mutation {
    updateTrackingWorkspaceStatus(name: String!, status: TrackingWorkspaceStatusInput!): Boolean
  }

  extend type Query {
    trackingWorkspaces(filters: [Filter], pagination: Pagination, sortings: [Sorting]): TrackingWorkspaceList
    trackingWorkspace(name: String!): TrackingWorkspace
  }

  extend type Domain {
    trackingWorkspaces: [TrackingWorkspace]
  }
`
